> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List every shared-access grant in a project, including expired ones



## OpenAPI

````yaml /openapi/customer-api.json get /shared-grants/project/{projectId}
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /shared-grants/project/{projectId}:
    get:
      tags:
        - Shared Access Grants
      summary: List every shared-access grant in a project, including expired ones
      operationId: SharedGrantsController_findExpiredGrants
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SharedAccessGrantResponseDto'
                type: array
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    SharedAccessGrantResponseDto:
      properties:
        access_level:
          allOf:
            - $ref: '#/components/schemas/SharedAccessLevel'
        branch_id:
          type: string
        branch_scope:
          allOf:
            - $ref: '#/components/schemas/SharedBranchScope'
        created_at:
          type: string
        created_by_id:
          nullable: true
          type: string
        expires_at:
          nullable: true
          type: string
        first_viewed_at:
          nullable: true
          type: string
        id:
          type: string
        preparing:
          type: boolean
        project_id:
          type: string
        recipient_type:
          allOf:
            - $ref: '#/components/schemas/SharedAccessGrantRecipientType'
        starting_entity_id:
          type: string
        user_email:
          nullable: true
          type: string
        user_group_id:
          nullable: true
          type: string
        user_group_name:
          nullable: true
          type: string
        user_id:
          nullable: true
          type: string
        view_id:
          type: string
      required:
        - id
        - recipient_type
        - user_id
        - user_email
        - user_group_id
        - user_group_name
        - project_id
        - branch_id
        - view_id
        - starting_entity_id
        - access_level
        - branch_scope
        - expires_at
        - created_at
        - created_by_id
        - first_viewed_at
        - preparing
      type: object
    SharedAccessLevel:
      enum:
        - viewer
        - writer
      type: string
    SharedBranchScope:
      enum:
        - branch
        - branch_and_children
        - all_branches
      type: string
    SharedAccessGrantRecipientType:
      enum:
        - user
        - user_group
      type: string
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````